Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class LineFormatInfo

    java.lang.Object
      jet.report.xls.LineFormatInfo

    public class LineFormatInfo

extends java.lang.Object

Contains the information of chart line format in the file.

Field Summary
`static short` | `AUTOFORMAT` Whether the chart is in automatic format or not.
`static short` | `DRAWTICK` Whether to draw tick labels on this axis or not.
`static short` | `PATTERN_DARKGRAYPATTERN` Represents a dark gray line.
`static short` | `PATTERN_DASH` Represents a dash line.
`static short` | `PATTERN_DASH_DOT` Represents a dash-dot line
`static short` | `PATTERN_DASHDOT_DOT` Represents a dash-dot-dot line.
`static short` | `PATTERN_DOT` Represents a dotted line.
`static short` | `PATTERN_LIGHTGRAYPATTERN` Represents a light gray line.
`static short` | `PATTERN_MEDIUMGRAYPATTERN` Represents a medium gray line.
`static short` | `PATTERN_NONE` Represents no line.
`static short` | `PATTERN_SOLID` Represents a solid line.
`static short` | `WEIGHT_HAIRLINE` Represents the weight of hair line.
`static short` | `WEIGHT_MEDIUM` Represents the weight of medium line.
`static short` | `WEIGHT_NARROW` Represents the weight of narrow line.
`static short` | `WEIGHT_WIDE` Represents the weight of wide line.

Constructor Summary
`LineFormatInfo()` Constructs a `LineFormatInfo` object with the default parameter.
`LineFormatInfo(int rgb, short pattern, short weight, short grbit, GlobalWorksheet gws)` Constructs a `LineFormatInfo` object with these parameters:

Method Summary
`int` | `getLineColor()` Gets the color of line.
`short` | `getPattern()` Gets the pattern of line.
`short` | `getWeight()` Gets the weight of line.
`boolean` | `isAutoFormat()` Gets whether the chart is in automatic format or not.
`boolean` | `isDrawTick()` Gets whether to draw tick labels on this axis or not.
`void` | `setIsRound(boolean round)` The border is a round border.
`void` | `setLineColor(int color, GlobalWorksheet gws)` Sets the color of line.
`void` | `setPattern(short pattern)` Sets the pattern of line.
`void` | `setWeight(short weight)` Sets the weight of line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTOFORMAT

    public static final short AUTOFORMAT

  Whether the chart is in automatic format or not.

  See Also:
    Constant Field Values

### DRAWTICK

    public static final short DRAWTICK

  Whether to draw tick labels on this axis or not.

  See Also:
    Constant Field Values

### PATTERN_SOLID

    public static final short PATTERN_SOLID

  Represents a solid line.

  See Also:
    Constant Field Values

### PATTERN_DASH

    public static final short PATTERN_DASH

  Represents a dash line.

  See Also:
    Constant Field Values

### PATTERN_DOT

    public static final short PATTERN_DOT

  Represents a dotted line.

  See Also:
    Constant Field Values

### PATTERN_DASH_DOT

    public static final short PATTERN_DASH_DOT

  Represents a dash-dot line

  See Also:
    Constant Field Values

### PATTERN_DASHDOT_DOT

    public static final short PATTERN_DASHDOT_DOT

  Represents a dash-dot-dot line.

  See Also:
    Constant Field Values

### PATTERN_NONE

    public static final short PATTERN_NONE

  Represents no line.

  See Also:
    Constant Field Values

### PATTERN_DARKGRAYPATTERN

    public static final short PATTERN_DARKGRAYPATTERN

  Represents a dark gray line.

  See Also:
    Constant Field Values

### PATTERN_MEDIUMGRAYPATTERN

    public static final short PATTERN_MEDIUMGRAYPATTERN

  Represents a medium gray line.

  See Also:
    Constant Field Values

### PATTERN_LIGHTGRAYPATTERN

    public static final short PATTERN_LIGHTGRAYPATTERN

  Represents a light gray line.

  See Also:
    Constant Field Values

### WEIGHT_HAIRLINE

    public static final short WEIGHT_HAIRLINE

  Represents the weight of hair line.

  See Also:
    Constant Field Values

### WEIGHT_NARROW

    public static final short WEIGHT_NARROW

  Represents the weight of narrow line.

  See Also:
    Constant Field Values

### WEIGHT_MEDIUM

    public static final short WEIGHT_MEDIUM

  Represents the weight of medium line.

  See Also:
    Constant Field Values

### WEIGHT_WIDE

    public static final short WEIGHT_WIDE

  Represents the weight of wide line.

  See Also:
    Constant Field Values

Constructor Detail

### LineFormatInfo

    public LineFormatInfo()

  Constructs a `LineFormatInfo` object with the default parameter.

### LineFormatInfo

    public LineFormatInfo(int rgb,
                          short pattern,
                          short weight,
                          short grbit,
                          GlobalWorksheet gws)

  Constructs a `LineFormatInfo` object with these parameters:

  Parameters:
    `rgb` - color of line, in which RGB value hight byte must be set to zero
    `pattern` - pattern of line
    `weight` - weight of line
    `grbit` - Format flags of line, see `DRAWTICK` and `AUTOFORMAT`.

Method Detail

### setPattern

    public void setPattern(short pattern)

  Sets the pattern of line.

  Parameters:
    `pattern` - solid, dash, dot, dash-dot, dash dot-dot, dark gray pattern,and so on.
  See Also:
    `PATTERN_SOLID`, `PATTERN_DASH`, `PATTERN_DOT`, `PATTERN_DASH_DOT`, `DOT_DOT`, `PATTERN_DARKGRAYPATTERN`, `PATTERN_NONE`, `PATTERN_MEDIUMGRAYPATTERN`, `PATTERN_LIGHTGRAYPATTERN`

### getPattern

    public short getPattern()

  Gets the pattern of line.

### setWeight

    public void setWeight(short weight)

  Sets the weight of line.

  Parameters:
    `weight` - hairline, narrow, medium, wide.
  See Also:
    `WEIGHT_HAIRLINE`, `WEIGHT_NARROW`, `WEIGHT_MEDIUM`, `WEIGHT_WIDE`

### getWeight

    public short getWeight()

  Gets the weight of line.

### isAutoFormat

    public boolean isAutoFormat()

  Gets whether the chart is in automatic format or not.

  Returns:
    whether the chart is in automatic format

### isDrawTick

    public boolean isDrawTick()

  Gets whether to draw tick labels on this axis or not.

  Returns:
    whether to draw tick labels on this axis

### setLineColor

    public void setLineColor(int color,
                             GlobalWorksheet gws)

  Sets the color of line.

  Parameters:
    `color` - the color of line

### getLineColor

    public int getLineColor()

  Gets the color of line.

  Returns:
    the color of line

### setIsRound

    public void setIsRound(boolean round)

  The border is a round border. Note, only the chart area border can take affect when this method is invoked.

  Parameters:
    `round` - true specifies the border to be round

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD